Unusual Whales UnusualWhales API

List of Institutions

GET https://api.unusualwhales.com/api/institutions

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

name Institution optional

A large entity that manages funds and investments for others. Queryable by name or cik.

Example: VANGUARD GROUP INC or 0000102909
min_total_value MinValue optional

The min value of the given field.

Example: 0.5
max_total_value MaxValue optional

The max value of the given field.

Example: 10.0
min_share_value MinValue optional

The min value of the given field.

Example: 0.5
max_share_value MaxValue optional

The max value of the given field.

Example: 10.0
tags[] Institution Tags optional

An array of institution tags

Example: activist
enum: advisor, value_investor, brokerage, hedge_fund, private_fund, biotech, activist, top_fund, tiger_club, esg, credit, 13d_activist, energy, small_cap, event, real_estate, technology, all, public_companies, known
order Institutional List Order By optional

Optional columns to order the result by

Example: name
enum: name, call_value, put_value, share_value, call_holdings, put_holdings, share_holdings, total_value, warrant_value, fund_value, pfd_value, debt_value, total_holdings, share_holdings, warrant_holdings, fund_holdings, call_holdings, put_holdings, put_holdings, pfd_holdings, debt_holdings, percent_of_total, date, buy_value, sell_value
order_direction OrderDirection optional

Whether to sort descending or ascending. Descending by default.

Example: asc Default: desc
enum: desc, asc
limit Default 500 Max 500 Min 1 optional

How many items to return. Default: 500. Max: 500. Min: 1.

Example: 10 Default: 500
>= 1 <= 500
page Page optional

Page number (use with limit). Starts on page 0.

Example: 1

Responses

200 422 500

Response Body 200 OK

buy_value Buy Value

The rounded total buy value in the institution's portfolio.

Example: 2394292.0
call_holdings Call Holding Units

The number of call units in the institution's portfolio.

Example: 2394292.0
call_value Call Value

The rounded total call value in the institution's portfolio.

Example: 2394292.0
cik CIK

The institution's CIK.

Example: 0000102909
date Report Period End Date

The end date of the report period in ISO format.

Example: 2024-10-02
debt_holdings Debt Holding Units

The number of debt units in the institution's portfolio.

Example: 2394292.0
debt_value Debt Value

The rounded total debt value in the institution's portfolio.

Example: 2394292.0
description Description

The institution's description.

Example: Florida-based hedge fund founded in 1977 by Paul Singer. Elliott and Singer himself are famous activists known for acquiring board seats and influencing management, but Elliott has many active arms and runs multiple strategies concurrently like distressed debt, convertible arbitrage, equity long/short, and more.
filing_date Filing Date

The latest filing date in ISO format.

Example: 2024-10-02
founder_img_url Founder Image URL

The URL to the institution's founder's image.

Example: https://storage.googleapis.com/uwassets/institution-img/ELLIOTT%20INVESTMENT%20MANAGEMENT%20L.P.%20Paul%20Singer.jpg
fund_holdings Fund Holding Units

The number of fund units in the institution's portfolio.

Example: 2394292.0
fund_value Fund Value

The rounded total fund value in the institution's portfolio.

Example: 2394292.0
is_hedge_fund Is Hedge Fund
Example: true
logo_url Logo URL

The URL to the institution's logo.

Example: https://storage.googleapis.com/uwassets/institution-img/ELLIOTT%20INVESTMENT%20MANAGEMENT%20L.P.%20logo.webp
name Name

The institution's name.

Example: VANGUARD GROUP INC
people People

Persons of interest in the institution.

Example: ["Paul Singer"]
pfd_holdings Preferred Share Holding Units

The number of preferred share units in the institution's portfolio.

Example: 2394292.0
pfd_value Preferred Share Value

The rounded total preferred share value in the institution's portfolio.

Example: 2394292.0
put_holdings Put Holding Units

The number of put units in the institution's portfolio.

Example: 2394292.0
put_value Put Value

The rounded total put value in the institution's portfolio.

Example: 2394292.0
sell_value Sell Value

The rounded total sell value in the institution's portfolio.

Example: 2394292.0
share_value Share Value

The rounded total share value in the institution's portfolio.

Example: 2394292.0
short_name Short Name

The institution's short name.

Example: Vanguard
tags Tags

Tags related to the institution.

Example: ["activist","value_investor"]
total_value Total Value

The rounded total value of the institution's portfolio.

Example: 2394292.0

... and 3 more fields

Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/institutions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "buy_value": "359232.0",
      "call_holdings": "359232.0",
      "call_value": "359232.0",
      "cik": "0001791786",
      "date": "2024-12-31",
      "debt_holdings": "359232.0",
      "debt_value": "359232.0",
      "description": "Elliott Management Corporation is an American investment management firm. It is also one of the largest activist funds in the world.",
      "filing_date": "2024-10-01",
      "founder_img_url": "https://storage.googleapis.com/uwassets/institution-img/ELLIOTT%20INVESTMENT%20MANAGEMENT%20L.P.%20Paul%20Singer.jpg",
      "fund_holdings": "359232.0",
      "fund_value": "359232.0",
      "is_hedge_fund": true,
      "logo_url": "https://storage.googleapis.com/uwassets/institution-img/ELLIOTT%20INVESTMENT%20MANAGEMENT%20L.P.%20logo.webp",
      "name": "ELLIOTT INVESTMENT MANAGEMENT L.P.",
      "people": [
        "Paul Singer"
      ],
      "pfd_holdings": "359232.0",
      "pfd_value": "359232.0",
      "put_holdings": "359232.0",
      "put_value": "359232.0",
      "sell_value": "359232.0",
      "share_holdings": "359232.0",
      "share_value": "359232.0",
      "short_name": "Elliott Investment Management",
      "tags": [
        "activist"
      ],
      "total_value": "359232.0",
      "warrant_holdings": "359232.0",
      "warrant_value": "359232.0",
      "website": "https://elliott.com"
    }
  ]
}